## hardlink 0.1.1

=== Makefile ===
# Basic pathes
PREFIX  ?= usr
BINDIR  ?= $(PREFIX)/bin
MANDIR  ?= $(PREFIX)/share/man

# Complete the path names
BINDIR  := $(DESTDIR)/$(BINDIR)
MANDIR  := $(DESTDIR)/$(MANDIR)

all:

install:
	install -D -o root -g root -m 755 hardlink.py $(BINDIR)/hardlink
	install -D -o root -g root -m 644 hardlink.1  $(MANDIR)/man1/hardlink.1

clean:
	rm -f *.pyc *.pyo *~

=== debian/changelog ===
hardlink (0.1.1) unstable; urgency=low

  * Prevent overwriting already existing backup files (Closes: #514772)
  * debian/control: Add ${misc:Depends} to dependencies

 -- Julian Andres Klode <jak@debian.org>  Wed, 11 Feb 2009 14:02:15 +0100

hardlink (0.1) unstable; urgency=low

  * Initial upload to Debian (Closes: #509685)

 -- Julian Andres Klode <jak@debian.org>  Fri, 26 Dec 2008 14:33:48 +0100

=== debian/control ===
Source: hardlink
Section: utils
Priority: optional
Maintainer: Julian Andres Klode <jak@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.0
Homepage: http://jak-linux.org/projects/hardlink/
Vcs-Git: git://git.debian.org/git/users/jak/hardlink.git
Vcs-Browser: http://git.debian.org/?p=users/jak/hardlink.git;a=summary

Package: hardlink
Architecture: all
Depends: ${misc:Depends}, python (>= 2.5)
Description: Hardlinks multiple copies of the same file
 Hardlink is a tool which detects multiple copies of the same file and replaces
 them with hardlinks.
 .
 The idea has been taken from http://code.google.com/p/hardlinkpy/, but the
 code has been written from scratch and licensed under the MIT license.

## hardlink 0.1.2

=== debian/changelog ===
hardlink (0.1.2) unstable; urgency=low

  * Support files on the command line (Closes: #608864)
  * Mention duplicate and identical in the description (Closes: #619851)
  * Document security issues (Closes: #645516, like CVE-2011-3632)
  * When both exclude and include are specified, behave as the manpage says
  * Upgrade to debhelper 9
  * Upgrade to Policy 3.9.3 and copyright-format 1.0

 -- Julian Andres Klode <jak@debian.org>  Tue, 28 Feb 2012 17:57:27 +0100

=== debian/control ===
Source: hardlink
Section: utils
Priority: optional
Maintainer: Julian Andres Klode <jak@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://jak-linux.org/projects/hardlink/
Vcs-Git: git://git.debian.org/git/users/jak/hardlink.git
Vcs-Browser: http://git.debian.org/?p=users/jak/hardlink.git;a=summary

Package: hardlink
Architecture: all
Depends: ${misc:Depends}, python (>= 2.5)
Description: Hardlinks multiple copies of the same file
 Hardlink is a tool which detects multiple copies of the same file and replaces
 them with hardlinks. Amongst other things, it can be used to merge identical,
 duplicate files in backup trees and save space.
 .
 The idea has been taken from http://code.google.com/p/hardlinkpy/, but the
 code has been written from scratch and licensed under the MIT license.

## hardlink 0.2.0~rc1

=== Makefile ===
# Basic DIRes
DESTDIR ?=
PREFIX  ?= /usr
BINDIR  ?= $(PREFIX)/bin
MANDIR  ?= $(PREFIX)/share/man

# Build with pcre by default
ENABLE  ?= libpcreposix

# GNU make executes the commands here and sets the variables to the outputs
EXTRA_LIBS  = $(shell $(EXTRA_LIBS!))
EXTRA_FLAGS = $(shell $(EXTRA_FLAGS!))

# pmake executes the commands, GNU make creates variables with a ! suffix
EXTRA_LIBS!= pkg-config --libs $(ENABLE) 2>/dev/null || echo
EXTRA_FLAGS!= pkg-config --cflags $(ENABLE) 2>/dev/null || echo

#Default flags
CFLAGS ?= -Wall -O2 -g

# Overwrites for the linker
MYLDLIBS = $(EXTRA_LIBS)
MYCFLAGS = -DHAVE_CONFIG_H $(EXTRA_FLAGS)

# Linker and compiler commands
MYLD = $(CC) $(LDFLAGS) $(TARGET_ARCH)
MYCC = $(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH)

# Features to test for when creating configure.h
FEATURES := GETOPT_LONG POSIX_FADVISE $(ENABLE)

all: hardlink

config.log config.h:
	@for feat in $(FEATURES); do \
		printf "Checking for %s..." "$$feat" | tee -a config.log; \
		if $(MYCC) $(LDFLAGS) $(LDLIBS) $(MYLDLIBS) $(MYCFLAGS) -o /dev/null \
			-DTEST_$$feat configure.c 2>>config.log; then \
			printf "\tOK\n" | tee -a config.log; \
			echo "#define HAVE_$$feat 1" >&3; \
		else \
			printf "\tFAIL\n" | tee -a config.log ; \
			echo "#undef HAVE_$$feat" >&3; \
		fi; \
	done 3> config.h

hardlink.o: hardlink.c config.h
	$(MYCC) $(MYCFLAGS) -o $@ -c hardlink.c

hardlink: hardlink.o
	$(MYLD) $(LDLIBS) $(MYLDLIBS) -o $@ hardlink.o

install: hardlink
	install -d  $(DESTDIR)$(BINDIR)
	install -d  $(DESTDIR)$(MANDIR)/man1
	install -m 755 hardlink $(DESTDIR)$(BINDIR)/hardlink
	install -m 644 hardlink.1  $(DESTDIR)$(MANDIR)/man1/hardlink.1

clean:
	rm -f hardlink hardlink.o config.h config.log

=== debian/changelog ===
hardlink (0.2.0~rc1) experimental; urgency=low

  * Rewrite hardlink in C, improves memory usage
    - Use PCRE for regular expressions (can build with POSIX ones as well)
  * Handle several signals (SIGINT, SIGTERM, SIGUSR1, SIGUSR2)
  * Do not create backups. Instead, link to temporary and then rename to target.
  * Add a "-c" compatibility option for Fedora people and their friends

 -- Julian Andres Klode <jak@debian.org>  Sat, 03 Mar 2012 18:11:05 +0100

## hardlink 0.2.0

=== debian/changelog ===
hardlink (0.2.0) unstable; urgency=low

  [ Diego Elio Pettenò ]
  * Fix positioning of LDLIBS flags, order is important.

  [ Julian Andres Klode ]
  * Final release of 0.2.0; upload to unstable

 -- Julian Andres Klode <jak@debian.org>  Sat, 12 May 2012 12:57:02 +0200

## hardlink 0.3.0

=== Makefile ===
--- 
+++ 
@@ -27,15 +27,15 @@
 MYCC = $(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH)
 
 # Features to test for when creating configure.h
-FEATURES := GETOPT_LONG POSIX_FADVISE $(ENABLE)
+FEATURES := GETOPT_LONG POSIX_FADVISE XATTR $(ENABLE)
 
 all: hardlink
 
 config.log config.h:
 	@for feat in $(FEATURES); do \
 		printf "Checking for %s..." "$$feat" | tee -a config.log; \
-		if $(MYCC) $(LDFLAGS) $(LDLIBS) $(MYLDLIBS) $(MYCFLAGS) -o /dev/null \
-			-DTEST_$$feat configure.c 2>>config.log; then \
+		if $(MYCC) $(MYCFLAGS) -o /dev/null \
+			-DTEST_$$feat configure.c $(LDLIBS) $(MYLDLIBS) 2>>config.log; then \
 			printf "\tOK\n" | tee -a config.log; \
 			echo "#define HAVE_$$feat 1" >&3; \
 		else \
@@ -48,7 +48,7 @@
 	$(MYCC) $(MYCFLAGS) -o $@ -c hardlink.c
 
 hardlink: hardlink.o
-	$(MYLD) $(LDLIBS) $(MYLDLIBS) -o $@ hardlink.o
+	$(MYLD) -o $@ hardlink.o $(LDLIBS) $(MYLDLIBS)
 
 install: hardlink
 	install -d  $(DESTDIR)$(BINDIR)

=== debian/changelog ===
hardlink (0.3.0) unstable; urgency=low

  [ Julian Andres Klode ]
  * New release, upload to unstable. Thanks to Tom Keel from Intel for the
    xattr patches.
  * Do not install a handler for SIGTERM
  * Do not install a handler for SIGUSR2
  * README: hardlink is no longer written in Python
  * Support --minimum-size,-s option (Closes: #754187)
  * debian/control: Build-Depend on libattr1-dev
  * debian: Switch to 3.0 (native)

  [ Tom Keel ]
  * hardlink: Handle extended attributes.
  * hardlink: Add --keep-oldest option.

 -- Julian Andres Klode <jak@debian.org>  Thu, 25 Sep 2014 14:26:22 +0200

hardlink (0.3.0~rc2) experimental; urgency=high

  * Correctly handle SIGINT and SIGTERM during file comparisons. This fixes
    a potential loss of one file in such situations.
  * hardlink.c: Update copyright statement
  * debian/control: Update Standards-Version, Vcs-Git, and Vcs-Browser

 -- Julian Andres Klode <jak@debian.org>  Sun, 05 Jan 2014 16:13:39 +0100

hardlink (0.3.0~rc1) experimental; urgency=low

  * Group files by ino. This saves resources, avoids useless comparisons,
    and fixes the counting of freed space, except for --respect-name
    where it remains broken.

 -- Julian Andres Klode <jak@debian.org>  Mon, 17 Sep 2012 16:47:46 +0200

=== debian/control ===
Source: hardlink
Section: utils
Priority: optional
Maintainer: Julian Andres Klode <jak@debian.org>
Build-Depends: debhelper (>= 9), pkg-config, libpcre3-dev, libattr1-dev
Standards-Version: 3.9.5
Homepage: http://jak-linux.org/projects/hardlink/
Vcs-Git: git://anonscm.debian.org/users/jak/hardlink.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/jak/hardlink.git;a=summary

Package: hardlink
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Hardlinks multiple copies of the same file
 Hardlink is a tool which detects multiple copies of the same file and replaces
 them with hardlinks. Amongst other things, it can be used to merge identical,
 duplicate files in backup trees and save space.
 .
 The idea has been taken from http://code.google.com/p/hardlinkpy/, but the
 code has been written from scratch and licensed under the MIT license.

## hardlink 0.3.0build1

=== debian/changelog ===
hardlink (0.3.0build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:27:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hardlink
 Section: utils
 Priority: optional
-Maintainer: Julian Andres Klode <jak@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Julian Andres Klode <jak@debian.org>
 Build-Depends: debhelper (>= 9), pkg-config, libpcre3-dev, libattr1-dev
 Standards-Version: 3.9.5
 Homepage: http://jak-linux.org/projects/hardlink/

## hardlink 0.3.1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: MIT
+
 # Basic DIRes
 DESTDIR ?=
 PREFIX  ?= /usr

=== debian/changelog ===
hardlink (0.3.1) unstable; urgency=medium

  [ Jakub Wilk ]
  * hardlink.1: Fix spurious escape sequence (Closes: #858631)
  * hardlink.1: Fix obsolete reference to hardlink.py
  * hardlink.c: Fix typos in comments

  [ Julian Andres Klode ]
  * Add SPDX-License-Identifier: MIT to files
  * Migrate repository to salsa.debian.org
  * debian: Update Standards-Version
  * debian: use dh 11 and rules-requires-root: no

  [ Lars Wendler ]
  * attr/xattr.h is deprecated. Use sys/xattr.h instead

 -- Julian Andres Klode <jak@debian.org>  Mon, 25 Jun 2018 11:59:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: hardlink
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Julian Andres Klode <jak@debian.org>
-Build-Depends: debhelper (>= 9), pkg-config, libpcre3-dev, libattr1-dev
-Standards-Version: 3.9.5
+Maintainer: Julian Andres Klode <jak@debian.org>
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 11), pkg-config, libpcre3-dev, libattr1-dev
+Standards-Version: 4.1.4
 Homepage: http://jak-linux.org/projects/hardlink/
-Vcs-Git: git://anonscm.debian.org/users/jak/hardlink.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/jak/hardlink.git;a=summary
+Vcs-Git: https://salsa.debian.org/jak/hardlink.git
+Vcs-Browser: https://salsa.debian.org/jak/hardlink
 
 Package: hardlink
 Architecture: any

## hardlink 0.3.2

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 MANDIR  ?= $(PREFIX)/share/man
 
 # Build with pcre by default
-ENABLE  ?= libpcreposix
+ENABLE  ?= libpcre2-posix
 
 # GNU make executes the commands here and sets the variables to the outputs
 EXTRA_LIBS  = $(shell $(EXTRA_LIBS!))
@@ -37,12 +37,12 @@
 	@for feat in $(FEATURES); do \
 		printf "Checking for %s..." "$$feat" | tee -a config.log; \
 		if $(MYCC) $(MYCFLAGS) -o /dev/null \
-			-DTEST_$$feat configure.c $(LDLIBS) $(MYLDLIBS) 2>>config.log; then \
+			-DTEST_$$(echo $$feat | sed s#-#_#) configure.c $(LDLIBS) $(MYLDLIBS) 2>>config.log; then \
 			printf "\tOK\n" | tee -a config.log; \
-			echo "#define HAVE_$$feat 1" >&3; \
+			echo "#define HAVE_$$(echo $$feat | sed s#-#_#) 1" >&3; \
 		else \
 			printf "\tFAIL\n" | tee -a config.log ; \
-			echo "#undef HAVE_$$feat" >&3; \
+			echo "#undef HAVE_$$(echo $$feat | sed s#-#_#)" >&3; \
 		fi; \
 	done 3> config.h

=== debian/changelog ===
hardlink (0.3.2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Julian Andres Klode ]
  * Add support for PCRE2 and use it by default

 -- Julian Andres Klode <jak@debian.org>  Wed, 23 Jan 2019 18:34:30 +0100

## hardlink 0.3.2build1

=== debian/changelog ===
hardlink (0.3.2build1) focal; urgency=medium

  * Rebuild against new libpcre2-posix2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Dec 2019 23:36:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Julian Andres Klode <jak@debian.org>
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 11), pkg-config, libpcre3-dev, libattr1-dev
+Build-Depends: debhelper (>= 11), pkg-config, libpcre2-dev, libattr1-dev
 Standards-Version: 4.1.4
 Homepage: http://jak-linux.org/projects/hardlink/
 Vcs-Git: https://salsa.debian.org/jak/hardlink.git

=== debian/rules ===
#!/usr/bin/make -f
export DEB_CFLAGS_MAINT_APPEND = -Dregcomp=PCRE2regcomp -Dregexec=PCRE2regexec -Dregerror=PCRE2regerror -Dregfree=PCRE2regfree
%:
	dh $@

## hardlink 0.3.2build2

=== debian/changelog ===
hardlink (0.3.2build2) impish; urgency=medium

  * No-change rebuild against libpcre2-posix3

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 25 Aug 2021 09:26:23 +0000

## hardlink 0.3.2+nmu1

=== debian/changelog ===
hardlink (0.3.2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 13:21:58 +0800
